| Qore SalesforceRestDataProvider Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
SalesforceRestDataProvider::SalesforceRestDataProvider Class Reference

The SalesforceRest data provider class. More...

`#include <SalesforceRestDataProvider.qc.dox.h>`

Inheritance diagram for SalesforceRestDataProvider::SalesforceRestDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (SalesforceRestClient::SalesforceRestClient rest)
| Creates the object from the arguments.
| constructor (SalesforceRestClient::SalesforceRestConnection conn)
| Creates the object from the arguments.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestClient rest)
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestConnection conn)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions
static | registerChild (string name, code generator)
| Registers a child data provider.

## Public Attributes
const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
const | ConstructorOptions = ...
| Constructor options.
const | EnvOptions = ...
| Environment options.
const | HttpMethods = ...
| Hash of HTTP Methods.

## Protected Member Functions
*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Additional Inherited Members
Static Protected Member Functions inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the SalesforceRestClient.
Protected Attributes inherited from SalesforceRestDataProvider::SalesforceRestDataProviderBase
*SalesforceRestClient::SalesforceRestConnection | conn
| The connection object used to create the REST client.
SalesforceRestClient::SalesforceRestClient | rest
| The REST client object for API calls.

## Detailed Description

The SalesforceRest data provider class.

## Member Function Documentation

## ◆ getChildProviderImpl()

*AbstractDataProvider SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list< string > SalesforceRestDataProvider::SalesforceRestDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any

## ◆ registerChild()

static SalesforceRestDataProvider::SalesforceRestDataProvider::registerChild | ( | string | name,
|  | code | generator )
| static

Registers a child data provider.

Parameters

  name | the child's name
  generator | code to generate the child; prototype: sub (string name, AbstractConnection conn) {}